   PROGRAM


HWND                    EQUATE(LONG)

   INCLUDE('ABERROR.INC'),ONCE
   INCLUDE('ABUTIL.INC'),ONCE
   INCLUDE('ERRORS.CLW'),ONCE
   INCLUDE('KEYCODES.CLW'),ONCE
   INCLUDE('ABFUZZY.INC'),ONCE

   MAP
     MODULE('NOFRAME_BC.CLW')
DctInit     PROCEDURE                                      ! Initializes the dictionary definition module
DctKill     PROCEDURE                                      ! Kills the dictionary definition module
     END
!--- Application Global and Exported Procedure Definitions --------------------------------------------
     MODULE('NOFRAME001.CLW')
Main                   PROCEDURE   !Window
     END
     SubClassProc(UNSIGNED, UNSIGNED, UNSIGNED,LONG),LONG,PASCAL
     MODULE('Windows API')
       SendMessage(HWND,UNSIGNED,UNSIGNED,UNSIGNED),LONG,PASCAL,NAME('SendMessageA')
       ReleaseCapture(),BOOL,PASCAL
       CallWindowProc(LONG,UNSIGNED,SIGNED,UNSIGNED,LONG),LONG,PASCAL,NAME('CallWindowProcA')
     END
   END

SavedProc1     LONG
MyPreviewewrThread  LONG

WM_NCCALCSIZE  EQUATE(0083h)
WM_SYSCOMMAND  EQUATE(0112h)
SC_MINIMIZE    EQUATE(0F020h)
SC_RESTORE     EQUATE(0F120h)
WM_NCHITTEST   EQUATE(0084h)
ResizeAreaSize EQUATE(10)

HTCLIENT       EQUATE(1)
HTLEFT         EQUATE(10)
HTRIGHT        EQUATE(11)
HTTOP          EQUATE(12)
HTTOPLEFT      EQUATE(13)
HTTOPRIGHT     EQUATE(14)
HTBOTTOM       EQUATE(15)
HTBOTTOMLEFT   EQUATE(16)
HTBOTTOMRIGHT  EQUATE(17)
SilentRunning        BYTE(0)                               ! Set true when application is running in 'silent mode'

!region File Declaration
!endregion


FuzzyMatcher         FuzzyClass                            ! Global fuzzy matcher
GlobalErrorStatus    ErrorStatusClass,THREAD
GlobalErrors         ErrorClass                            ! Global error manager
INIMgr               INIClass                              ! Global non-volatile storage manager
GlobalRequest        BYTE(0),THREAD                        ! Set when a browse calls a form, to let it know action to perform
GlobalResponse       BYTE(0),THREAD                        ! Set to the response from the form
VCRRequest           LONG(0),THREAD                        ! Set to the request from the VCR buttons

Dictionary           CLASS,THREAD
Construct              PROCEDURE
Destruct               PROCEDURE
                     END


  CODE
  GlobalErrors.Init(GlobalErrorStatus)
  FuzzyMatcher.Init                                        ! Initilaize the browse 'fuzzy matcher'
  FuzzyMatcher.SetOption(MatchOption:NoCase, 1)            ! Configure case matching
  FuzzyMatcher.SetOption(MatchOption:WordOnly, 0)          ! Configure 'word only' matching
  INIMgr.Init('.\NoFrame.INI', NVD_INI)                    ! Configure INIManager to use INI file
  DctInit()
  Main
  INIMgr.Update
  INIMgr.Kill                                              ! Destroy INI manager
  FuzzyMatcher.Kill                                        ! Destroy fuzzy matcher
    
SubClassProc PROCEDURE(UNSIGNED hwnd,UNSIGNED MSG1, UNSIGNED WPARAM,LONG LPARAM)
   CODE
   IF MSG1 = WM_NCCALCSIZE AND WPARAM = 1
      RETURN 0
   END
   RETURN CallWindowProc(SAVEDPROC1, HWND, MSG1, WPARAM, LPARAM)


Dictionary.Construct PROCEDURE

  CODE
  IF THREAD()<>1
     DctInit()
  END


Dictionary.Destruct PROCEDURE

  CODE
  DctKill()

