

   MEMBER('NoFrame.clw')                                   ! This is a MEMBER module


   INCLUDE('ABRESIZE.INC'),ONCE
   INCLUDE('ABTOOLBA.INC'),ONCE
   INCLUDE('ABWINDOW.INC'),ONCE

                     MAP
                       INCLUDE('NOFRAME001.INC'),ONCE        !Local module procedure declarations
                     END


!!! <summary>
!!! Generated from procedure template - Window
!!! Window
!!! </summary>
Main PROCEDURE 

QuickWindow          WINDOW('Window'),AT(,,414,271),FONT('Segoe UI',8,,FONT:regular,CHARSET:DEFAULT),RESIZE,CENTER, |
  ICON(ICON:Clarion),GRAY,IMM,MAX,HLP('Main'),SYSTEM
                       REGION,AT(-1,-1,420,50),USE(?PANEL1),IMM
                       BOX,AT(-1,-1,420,50),USE(?BOX1),COLOR(COLOR:Teal),FILL(COLOR:Teal),LINEWIDTH(1)
                       STRING('SAMPLE APP NO FRAME'),AT(98,11),USE(?STRING1),FONT(,20,COLOR:White,FONT:bold),TRN
                       BUTTON('x'),AT(2,2,17,14),USE(?Btn_Close),COLOR(COLOR:Red),STD(STD:Close)
                       BUTTON('-'),AT(23,2,17,14),USE(?Btn_minimize),COLOR(COLOR:Yellow)
                       BUTTON('?'),AT(45,2,17,14),USE(?Btn_Close:3),COLOR(COLOR:Lime),STD(STD:TileWindow)
                     END

ThisWindow           CLASS(WindowManager)
Init                   PROCEDURE(),BYTE,PROC,DERIVED
Kill                   PROCEDURE(),BYTE,PROC,DERIVED
TakeAccepted           PROCEDURE(),BYTE,PROC,DERIVED
                     END

Toolbar              ToolbarClass
Resizer              CLASS(WindowResizeClass)
Init                   PROCEDURE(BYTE AppStrategy=AppStrategy:Resize,BYTE SetWindowMinSize=False,BYTE SetWindowMaxSize=False)
                     END


  CODE
  GlobalResponse = ThisWindow.Run()                        ! Opens the window and starts an Accept Loop

!---------------------------------------------------------------------------
DefineListboxStyle ROUTINE
!|
!| This routine create all the styles to be shared in this window
!| It`s called after the window open
!|
!---------------------------------------------------------------------------

ThisWindow.Init PROCEDURE

ReturnValue          BYTE,AUTO

  CODE
  GlobalErrors.SetProcedureName('Main')
  SELF.Request = GlobalRequest                             ! Store the incoming request
  ReturnValue = PARENT.Init()
  IF ReturnValue THEN RETURN ReturnValue.
  SELF.FirstField = ?PANEL1
  SELF.VCRRequest &= VCRRequest
  SELF.Errors &= GlobalErrors                              ! Set this windows ErrorManager to the global ErrorManager
  SELF.AddItem(Toolbar)
  CLEAR(GlobalRequest)                                     ! Clear GlobalRequest after storing locally
  CLEAR(GlobalResponse)
  SELF.Open(QuickWindow)                                   ! Open window
     SavedProc1 = 0{PROP:WNDProc}
     MyPreviewewrThread = THREAD()
     0{PROP:WNDProc} = ADDRESS(SubClassProc)
  Do DefineListboxStyle
  Resizer.Init(AppStrategy:Surface,Resize:SetMinSize)      ! Controls like list boxes will resize, whilst controls like buttons will move
  SELF.AddItem(Resizer)                                    ! Add resizer to window manager
  SELF.SetAlerts()
  RETURN ReturnValue


ThisWindow.Kill PROCEDURE

ReturnValue          BYTE,AUTO

  CODE
  ReturnValue = PARENT.Kill()
  IF ReturnValue THEN RETURN ReturnValue.
  GlobalErrors.SetProcedureName
  RETURN ReturnValue


ThisWindow.TakeAccepted PROCEDURE

ReturnValue          BYTE,AUTO

Looped BYTE
  CODE
  LOOP                                                     ! This method receive all EVENT:Accepted's
    IF Looped
      RETURN Level:Notify
    ELSE
      Looped = 1
    END
    CASE ACCEPTED()
    OF ?PANEL1
      ReleaseCapture()
      lngReturnValue# = SendMessage(0{PROP:HANDLE},161,2,0)  !Please equate these values
    OF ?Btn_minimize
      0{PROP:Iconize} = 1
    END
  ReturnValue = PARENT.TakeAccepted()
    RETURN ReturnValue
  END
  ReturnValue = Level:Fatal
  RETURN ReturnValue


Resizer.Init PROCEDURE(BYTE AppStrategy=AppStrategy:Resize,BYTE SetWindowMinSize=False,BYTE SetWindowMaxSize=False)


  CODE
  PARENT.Init(AppStrategy,SetWindowMinSize,SetWindowMaxSize)
  SELF.SetParentDefaults()                                 ! Calculate default control parent-child relationships based upon their positions on the window

